<?php

namespace SovereignStack\SecuritySafe;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

require_once( SECSAFE_DIR_ADMIN_TABLES . '/Table.php' );

/**
 * Class TableFilePerms
 *
 * @package SecuritySafe
 */
final class TableFilePerms extends Table {

	/**
	 * Get a list of columns. The format is:
	 * 'internal-name' => 'Title'
	 *
	 * @package WordPress
	 * @since   3.1.0
	 * @abstract
	 *
	 * @return array
	 */
	function get_columns() {

		return [
			'location' => __( 'Relative Location', 'security-safe' ),
			'type' => __( 'Type', 'security-safe' ),
			'current' => __( 'Current', 'security-safe' ),
			'status' => __( 'Status', 'security-safe' ),
			'modify' => __( 'Modify', 'security-safe' ),
		];
	}

	function get_sortable_columns() {

		return [];
	}

	/**
	 * Set the type of data to display
	 *
	 * @since  2.0.0
	 */
	protected function set_type() {

		$this->type = '404s';
	}

	/**
	 * Get the array of searchable columns in the database
	 *
	 * @since  2.0.0
	 * @return  array An unassociated array.
	 */
	protected function get_searchable_columns() {

		return [];
	}
}
